Chromium Code Reviews
Help | Chromium Project | Sign in
(5)

Issue 2756333002: Rename MediaClientAndroid to MediaDrmBridgeClient (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 5 days ago by chcunningham
Modified:
1 week ago
CC:
alokp+watch_chromium.org, android-webview-reviews_chromium.org, avayvod+watch_chromium.org, chromium-reviews, darin-cc_chromium.org, feature-media-reviews_chromium.org, halliwell+watch_chromium.org, jam, lcwu+watch_chromium.org, mlamouri+watch-media_chromium.org, piman+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Rename MediaClientAndroid to MediaDrmBridgeClient MediaClient and MediaClientAndroid (now MediaDrmBridgeClient) are distict interfaces. The previous naming wrongly suggests that MediaClientAndroid is the Android implementation of MediaClient. BUG=695264 Review-Url: https://codereview.chromium.org/2756333002 Cr-Commit-Position: refs/heads/master@{#458783} Committed: https://chromium.googlesource.com/chromium/src/+/a4a8efbb8b68c2a61636fc469943ecb1d09bd84b

Patch Set 1 #

Patch Set 2 : MediaDrmBridgeClient #

Total comments: 2

Patch Set 3 : Feedback and Rebase #

Total comments: 4

Patch Set 4 : Fix .h guards #

Unified diffs Side-by-side diffs Delta from patch set Stats (+149 lines, -410 lines) Patch
M android_webview/BUILD.gn View 1 1 chunk +2 lines, -2 lines 0 comments Download
M android_webview/common/aw_content_client.h View 1 1 chunk +1 line, -1 line 0 comments Download
M android_webview/common/aw_content_client.cc View 1 2 chunks +4 lines, -3 lines 0 comments Download
D android_webview/common/aw_media_client_android.h View 1 chunk +0 lines, -36 lines 0 comments Download
D android_webview/common/aw_media_client_android.cc View 1 chunk +0 lines, -71 lines 0 comments Download
A + android_webview/common/aw_media_drm_bridge_client.h View 1 2 3 2 chunks +9 lines, -9 lines 0 comments Download
A + android_webview/common/aw_media_drm_bridge_client.cc View 1 4 chunks +8 lines, -7 lines 0 comments Download
M chrome/common/BUILD.gn View 1 2 chunks +4 lines, -2 lines 0 comments Download
M chrome/common/chrome_content_client.h View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/chrome_content_client.cc View 1 2 chunks +3 lines, -3 lines 0 comments Download
D chrome/common/chrome_media_client_android.h View 1 chunk +0 lines, -29 lines 0 comments Download
D chrome/common/chrome_media_client_android.cc View 1 chunk +0 lines, -17 lines 0 comments Download
A chrome/common/media/chrome_media_drm_bridge_client.h View 1 1 chunk +29 lines, -0 lines 0 comments Download
A + chrome/common/media/chrome_media_drm_bridge_client.cc View 1 1 chunk +4 lines, -4 lines 0 comments Download
M chromecast/common/cast_content_client.h View 1 1 chunk +1 line, -1 line 0 comments Download
M chromecast/common/cast_content_client.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M chromecast/common/media/BUILD.gn View 1 1 chunk +2 lines, -2 lines 0 comments Download
D chromecast/common/media/cast_media_client_android.h View 1 chunk +0 lines, -41 lines 0 comments Download
D chromecast/common/media/cast_media_client_android.cc View 1 chunk +0 lines, -38 lines 0 comments Download
A + chromecast/common/media/cast_media_drm_bridge_client.h View 1 2 chunks +9 lines, -9 lines 0 comments Download
A + chromecast/common/media/cast_media_drm_bridge_client.cc View 1 2 chunks +5 lines, -5 lines 0 comments Download
M content/browser/browser_main_loop.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download
M content/gpu/gpu_child_thread.cc View 1 2 chunks +3 lines, -2 lines 0 comments Download
M content/public/common/content_client.h View 1 2 chunks +3 lines, -3 lines 0 comments Download
M content/public/common/content_client.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M media/base/android/BUILD.gn View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
D media/base/android/media_client_android.h View 1 chunk +0 lines, -60 lines 0 comments Download
D media/base/android/media_client_android.cc View 1 chunk +0 lines, -37 lines 0 comments Download
M media/base/android/media_drm_bridge.cc View 1 4 chunks +4 lines, -4 lines 0 comments Download
A + media/base/android/media_drm_bridge_client.h View 1 2 3 2 chunks +14 lines, -14 lines 0 comments Download
A media/base/android/media_drm_bridge_client.cc View 1 2 1 chunk +34 lines, -0 lines 0 comments Download
M media/base/android/media_drm_bridge_delegate.h View 1 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 50 (30 generated)
chcunningham
Hey John, This name has been bugging me for a while. Let me know if ...
1 week, 5 days ago (2017-03-17 23:45:37 UTC) #2
jrummell (OOO until Apr 3)
I have no problem with the name change. Adding xhwang@ in case he has an ...
1 week, 5 days ago (2017-03-18 00:43:11 UTC) #4
xhwang_slow
I agree the original naming is confusing. How about MediaDrmBridgeClient to make this even more ...
1 week, 5 days ago (2017-03-18 00:48:17 UTC) #5
xhwang_slow
BTW, thanks for fixing this!!!
1 week, 5 days ago (2017-03-18 00:48:30 UTC) #6
chcunningham
On 2017/03/18 00:48:30, xhwang_slow wrote: > BTW, thanks for fixing this!!! On 2017/03/18 00:48:17, xhwang_slow ...
1 week, 5 days ago (2017-03-18 01:45:51 UTC) #9
xhwang_slow
Please update the CL title to reflect the new name. Also it seems some bots ...
1 week, 5 days ago (2017-03-18 04:02:00 UTC) #12
halliwell
On 2017/03/18 04:02:00, xhwang_slow wrote: > Please update the CL title to reflect the new ...
1 week, 5 days ago (2017-03-18 04:13:35 UTC) #13
xhwang_slow
https://codereview.chromium.org/2756333002/diff/20001/media/base/android/media_drm_bridge_client.cc File media/base/android/media_drm_bridge_client.cc (right): https://codereview.chromium.org/2756333002/diff/20001/media/base/android/media_drm_bridge_client.cc#newcode12 media/base/android/media_drm_bridge_client.cc:12: static MediaDrmBridgeClient* g_media_client = nullptr; please also s/media_client/media_drm_bridge_client/ in ...
1 week, 5 days ago (2017-03-18 05:04:28 UTC) #14
chcunningham
Thanks guys. https://codereview.chromium.org/2756333002/diff/20001/media/base/android/media_drm_bridge_client.cc File media/base/android/media_drm_bridge_client.cc (right): https://codereview.chromium.org/2756333002/diff/20001/media/base/android/media_drm_bridge_client.cc#newcode12 media/base/android/media_drm_bridge_client.cc:12: static MediaDrmBridgeClient* g_media_client = nullptr; On 2017/03/18 ...
1 week, 2 days ago (2017-03-20 18:53:08 UTC) #17
chcunningham
creis@chromium.org for content
1 week, 2 days ago (2017-03-20 18:56:23 UTC) #20
Charlie Reis (OOO till 3-31)
content/ LGTM
1 week, 2 days ago (2017-03-21 16:16:30 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756333002/40001
1 week, 1 day ago (2017-03-21 17:16:29 UTC) #30
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/390459)
1 week, 1 day ago (2017-03-21 17:27:29 UTC) #32
chcunningham
+boliu for webview +jochen for chrome
1 week, 1 day ago (2017-03-21 18:04:01 UTC) #34
boliu
https://codereview.chromium.org/2756333002/diff/40001/android_webview/common/aw_media_drm_bridge_client.h File android_webview/common/aw_media_drm_bridge_client.h (right): https://codereview.chromium.org/2756333002/diff/40001/android_webview/common/aw_media_drm_bridge_client.h#newcode5 android_webview/common/aw_media_drm_bridge_client.h:5: #ifndef ANDROID_WEBVIEW_COMMON_AW_MEDIA_CLIENT_ANDROID_H_ fix ifdef guard https://codereview.chromium.org/2756333002/diff/40001/media/base/android/media_drm_bridge_client.h File media/base/android/media_drm_bridge_client.h (right): ...
1 week, 1 day ago (2017-03-21 18:09:10 UTC) #35
chcunningham
https://codereview.chromium.org/2756333002/diff/40001/android_webview/common/aw_media_drm_bridge_client.h File android_webview/common/aw_media_drm_bridge_client.h (right): https://codereview.chromium.org/2756333002/diff/40001/android_webview/common/aw_media_drm_bridge_client.h#newcode5 android_webview/common/aw_media_drm_bridge_client.h:5: #ifndef ANDROID_WEBVIEW_COMMON_AW_MEDIA_CLIENT_ANDROID_H_ On 2017/03/21 18:09:10, boliu wrote: > fix ...
1 week, 1 day ago (2017-03-21 22:18:16 UTC) #36
boliu
lgtm
1 week, 1 day ago (2017-03-21 22:26:11 UTC) #39
jochen (slow until Apr 4)
chrome/ lgtm
1 week, 1 day ago (2017-03-22 10:06:38 UTC) #43
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756333002/60001
1 week ago (2017-03-22 16:41:56 UTC) #46
commit-bot: I haz the power
1 week ago (2017-03-22 17:00:40 UTC) #50
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/a4a8efbb8b68c2a61636fc469943...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46